package com.steerinfo.meterwork.meterworkbeltscaleactual.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.HashMap;
import java.util.List;

import com.steerinfo.meterwork.meterworkbeltscaleactual.model.MeterWorkBeltScaleActual;
import com.steerinfo.pretrack.prebeltscale.model.PreBeltScale;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MeterWorkBeltScaleActualMapper extends IBaseMapper<MeterWorkBeltScaleActual, String> {

    List<MeterWorkBeltScaleActual> doQueryActualInfoFlags(MeterWorkBeltScaleActual obj);

    List<MeterWorkBeltScaleActual> doQueryAndMultiple(HashMap<String, Object> obj);

    List<MeterWorkBeltScaleActual> doQueryMaxPno(MeterWorkBeltScaleActual obj);

    //实绩查询 分组统计
    List<MeterWorkBeltScaleActual> doQueryActualInfoAndGroup(HashMap<String, Object> obj);

    int doUpdateFlags_0(List<MeterWorkBeltScaleActual> list);

    int doUpdateFlags_1(List<MeterWorkBeltScaleActual> list);

    int doUpdateCheckFlags_0(List<MeterWorkBeltScaleActual> list);

    int doUpdateCheckFlags_1(List<MeterWorkBeltScaleActual> list);

}